Package: groovy.org.codenarc.rule.logging

## [Groovy] Class LoggingSwallowsStacktraceAstVisitor

- groovy.org.codenarc.rule.logging.LoggingSwallowsStacktraceAstVisitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map<org.codehaus.groovy.ast.ClassNode, List<String>>` | `classNodeToLoggerNames`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitCatchStatement(org.codehaus.groovy.ast.stmt.CatchStatement statement)`
    `` | `void` | `visitField(org.codehaus.groovy.ast.FieldNode fieldNode)`

- - ### Property Detail

    - #### Map<org.codehaus.groovy.ast.ClassNode, List<String>> classNodeToLoggerNames

  - ### Method Detail

    - #### @Override void visitCatchStatement(org.codehaus.groovy.ast.stmt.CatchStatement statement)

    - #### @Override void visitField(org.codehaus.groovy.ast.FieldNode fieldNode)